com.smartgwt.client.widgets.drawing.events

## Class DragResizeMoveEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.smartgwt.client.event.AbstractSmartEvent<DragResizeMoveHandler>
      - - com.smartgwt.client.widgets.drawing.events.DragResizeMoveEvent

- All Implemented Interfaces:
    Cancellable

      public class DragResizeMoveEvent
      extends AbstractSmartEvent<DragResizeMoveHandler>
      implements Cancellable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragResizeMoveEvent(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Call this method to cancel the default behavior of allowing the shape to be drag-resized
    `protected void` | `dispatch(DragResizeMoveHandler handler)`
    `static <S extends HasDragResizeMoveHandlers & com.google.gwt.event.shared.HasHandlers> void` | `fire(S source, com.google.gwt.core.client.JavaScriptObject jsObj)` Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    `com.google.gwt.event.shared.GwtEvent.Type<DragResizeMoveHandler>` | `getAssociatedType()`
    `int` | `getNewHeight()` draw item height
    `int` | `getNewWidth()` draw item width
    `int` | `getNewX()` x-coordinate within the draw pane
    `int` | `getNewY()` y-coordinate within the draw pane
    `static com.google.gwt.event.shared.GwtEvent.Type<DragResizeMoveHandler>` | `getType()` Gets the type associated with this event.
    `boolean` | `isCancelled()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DragResizeMoveEvent

          public DragResizeMoveEvent(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### fire

          public static <S extends HasDragResizeMoveHandlers & com.google.gwt.event.shared.HasHandlers> void fire(S source,
                                                                                                 com.google.gwt.core.client.JavaScriptObject jsObj)

      Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
      Type Parameters:
        `S` - The event source
      Parameters:
        `source` - the source of the handlers
        `jsObj` - the native event

    - #### getType

          public static com.google.gwt.event.shared.GwtEvent.Type<DragResizeMoveHandler> getType()

      Gets the type associated with this event.
      Returns:
        returns the handler type

    - #### dispatch

          protected void dispatch(DragResizeMoveHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<DragResizeMoveHandler>`

    - #### getAssociatedType

          public final com.google.gwt.event.shared.GwtEvent.Type<DragResizeMoveHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<DragResizeMoveHandler>`

    - #### cancel

          public void cancel()

      Call this method to cancel the default behavior of allowing the shape to be drag-resized
      Specified by:
        `cancel` in interface `Cancellable`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Cancellable`
      Returns:
        true if cancelled

    - #### getNewX

          public int getNewX()

      x-coordinate within the draw pane
      Returns:
        x-coordinate within the draw pane

    - #### getNewY

          public int getNewY()

      y-coordinate within the draw pane
      Returns:
        y-coordinate within the draw pane

    - #### getNewWidth

          public int getNewWidth()

      draw item width
      Returns:
        draw item width

    - #### getNewHeight

          public int getNewHeight()

      draw item height
      Returns:
        draw item height